#ifndef __RAILNET_H
#define __RAILNET_H

#include <istream.h>
#include <list.h>
#include <utility>
#include <string>
#include "segment.h"

//forward declarations
class Segment;


class Railnet
{
public:
  void setIdent (string);
  void setDelay (int);
  string getIdent ();
  int getDelay ();
  void addRail (Segment *, int);
  int findDistance (string);           //receives identifier and gives the distance     
  int findRailOrder (string);          //receives identifier and gives the rail order number
  void print ();                       //print the point info to the stdin
  list < pair < Segment *, int > >*getLRail ();
  int getQsegs ();
protected:
  string ident;
  int delay;
  list < pair < Segment *, int > >lRail;
private:
};


#endif	/* __RAILNET_H */
