#ifndef __CTRELEM_H
#define __CTRELEM_H

#include <istream>
#include <string>
#include "segment.h"

//forward declarations
class Segment;

class CtrElem{
public:
    void      setType(std::string);
    void      setDistance(int);
    void      setDelay(int);
    std::string    getType();
    int       getDistance();
    int       getDelay();
    void      setSegment(Segment*);
    Segment*  getSegment();
    void      print();                 //print the point info to the stdin

protected:
    std::string    type;
    int       distance;
    int       delay;
    Segment*  segment;
private:
};


#endif /* __CTRELEM_H */
