#include <iostream.h>
#include "railnet.h"

void      Railnet::setIdent(std::string id)    {this->ident=id;}
void      Railnet::setDelay(int d)        {delay = d;}
std::string    Railnet::getIdent()             {return this->ident;}
int       Railnet::getDelay()             {return delay;}

void Railnet::addRail(Segment* s,int i){
   this->lRail.push_back( std::pair<Segment*, int> (s,i) );
};            


int Railnet::findDistance(std::string s){
bool ubic= false;
std::list< std::pair<Segment*, int> >::iterator   iter;
iter = this->lRail.begin();

while ( iter != this->lRail.end() && !ubic )
   if ((*iter).first->getIdent()==s) ubic = true;
   else iter++;

if(ubic == true) return (*iter).second;
else return 0; 
};

int Railnet::findRailOrder(std::string s){
bool ubic= false;
std::list< std::pair<Segment*, int> >::iterator   iter;
iter = this->lRail.begin();

int i=1;
while ( iter != this->lRail.end() && !ubic )
   if ((*iter).first->getIdent()==s) ubic = true;
   else {iter++;i++;}

if(ubic == true) return i;
else return 0; 
};

void Railnet::print(){
   std::list< std::pair<Segment*, int> >::iterator   iter;
   cout << "Railnet "<< this->ident << "|"; 
   for (iter = this->lRail.begin(); iter != this->lRail.end(); iter++)
       {cout << "(" <<(*iter).first->getIdent(); 
        cout << "," <<(*iter).second << ")"; 
       };
}


std::list< std::pair<Segment*, int> >* Railnet::getLRail(){
return &(this->lRail);
}

int Railnet::getQsegs(){
return this->lRail.size();
}
