#include(dostramos.macros)

[TOP]
components : rAGen@TSCGenerator
components : rA
components : rBCons@TSCConsumer
components : rB
components : c2
link : y_t_hayauto0@rAGen x_ge_hayauto00@rA
link : y_co_hayauto09@rB x_t_hayauto0@rBCons 
link : y_t_haylugar1@c2 x_c_haylugar09@rA                
link : y_c_hayauto09@rA x_t_hayauto1@c2 
link : y_t_hayauto0@c2 x_c_hayauto00@rB
link : y_c_haylugar00@rB x_t_haylugar0@c2 
link : y_t_puedesalir0@c2 x_c_puedeentrar00@rB
link : y_c_puedesalir09@rA x_t_puedeentrar1@c2 

[rA]
type : cell
width : 10
height : 1
delay : transport
defaultDelayTime : 10
border : nowrapped
neighbors : rA(0,-1) rA(0,0) rA(0,1)
initialvalue : 0
in : x_ge_hayauto00 
in : x_c_haylugar09  
out: y_c_hayauto09
out: y_c_puedesalir09
link : x_ge_hayauto00 x_ge_hayauto@rA(0,0)
link : x_c_haylugar09 x_c_haylugar@rA(0,9)
link : y_c_hayauto@rA(0,9) y_c_hayauto09
link : y_c_puedesalir@rA(0,9) y_c_puedesalir09
portInTransition : x_ge_hayauto@rA(0,0) segment1-gen-rule
portInTransition : x_c_haylugar@rA(0,9) segment1-endcross-rule 
localtransition : segment1-lane-rule


[rAGen]
distribution : normal
mean : 1
deviation : 0
lanes : 1


[rB]
type : cell
width : 10
height : 1
delay : transport
defaultDelayTime : 10
border : nowrapped
neighbors : rB(0,-1) rB(0,0) rB(0,1)
initialvalue : 0
in : x_c_hayauto00 
in : x_c_puedeentrar00 
out: y_c_haylugar00  
out: y_co_hayauto09
link : x_c_hayauto00 x_c_hayauto@rB(0,0)
link : x_c_puedeentrar00 x_c_puedeentrar@rB(0,0)
link : y_c_haylugar@rB(0,0) y_c_haylugar00
link : y_co_hayauto@rB(0,9) y_co_hayauto09
portInTransition : x_c_puedeentrar@rB(0,0) segment1-puedeentrar-startcross-rule 
portInTransition : x_c_hayauto@rB(0,0) segment1-startcross-rule 
localtransition : segment1-lane-rule
zone : segment1-cons-rule { (0,9) }


[rBCons]
lanes : 1


[c2]
type : cell
width : 2
height : 1
delay : transport
defaultDelayTime : 10
border : wrapped
neighbors : c2(0,-1) c2(0,0) c2(0,1)
initialvalue : 0
in : x_t_hayauto1
in : x_t_puedeentrar1
out: y_t_haylugar1
in : x_t_haylugar0
out: y_t_hayauto0 
out: y_t_puedesalir0 
link : x_t_hayauto1 x_t_hayauto@c2(0,1)
link : x_t_puedeentrar1 x_t_puedeentrar@c2(0,1)
link : y_t_haylugar@c2(0,1) y_t_haylugar1
link : x_t_haylugar0 x_t_haylugar@c2(0,0)
link : y_t_hayauto@c2(0,0) y_t_hayauto0
link : y_t_puedesalir@c2(0,0) y_t_puedesalir0
localtransition : cellIn-rule
portInTransition : x_t_hayauto@c2(0,1) hayauto-rule
portInTransition : x_t_puedeentrar@c2(0,1) puedeentrar-rule
portInTransition : x_t_haylugar@c2(0,0) haylugar-rule
zone : cellOut-rule { (0,0) }

[segment1-gen-rule]
#Macro(Llega_Desde_Generador)
#Macro(Default)

[segment1-endcross-rule]
#Macro(Sale_Hacia_Cruce)
#Macro(Default)

[segment1-lane-rule]
#Macro(Sale_Hacia_Adelante)
#Macro(Intenta_Salir_Hacia_Cruce)
#Macro(Llega_Desde_Atras)
#Macro(Default)

[segment1-puedeentrar-startcross-rule]
rule : { (0,0) + send(y_c_haylugar, 1) } 0 { (0,0) = 0 and portvalue(x_c_puedeentrar) = 1}
rule : { (0,0) + send(y_c_haylugar, 0) } 0 { t }

[segment1-startcross-rule]
#Macro(Llega_Desde_Cruce)
#Macro(Default)

[segment1-cons-rule]
#Macro(Sale_Hacia_Consumidor)
#Macro(Llega_Desde_Atras)
#Macro(Default)

[puedeentrar-rule]
rule : { (0,0) + send(y_t_haylugar,1) } 0  { (0,0) = 0 and (0,-1) = 0 and portvalue(x_t_puedeentrar) = 1 }
rule : { (0,0) + send(y_t_haylugar,0) } 0  { t }

[hayauto-rule]
rule : 1       10 { (0,0) = 0 and portvalue(x_t_hayauto) = 1}
rule : {(0,0)} 10 { t }

[haylugar-rule]
rule : {0 + send(y_t_hayauto, 1)} 10 { (0,0) = 1 and portvalue(x_t_haylugar) = 1 } 
rule : {(0,0)} 10  { t }

[cellIn-rule]
rule : 1       10 { (0,0) = 0 and (0,-1) = 1 }
rule : 0       10 { (0,0) = 1 and (0,1) = 0 }
rule : {(0,0)} 10 { t }

[cellOut-rule]
rule : { 1 + send(y_t_puedesalir,1)} 10 { (0,0) = 0 and (0,-1)=1  and random < 1/10}
rule : 1       10 { (0,0) = 0 and (0,-1) = 1 }
rule : 0       10 { (0,0) = 1 and (0,1) = 0 }
rule : {(0,0)} 10  { t }

