#include(model.macros)

[TOP]
components : rAGen@TSCGenerator
components : rA
components : rBCons@TSCConsumer
components : rB
components : c2
link : y_t_hayauto0@rAGen x_ge_hayauto00@rA
link : y_co_hayauto03@rB x_t_hayauto0@rBCons 
link : y_t_haylugar0@c2 x_c_haylugar03@rA                
link : y_c_hayauto03@rA x_t_hayauto0@c2 
link : y_t_hayauto1@c2 x_c_hayauto00@rB
link : y_c_haylugar00@rB x_t_haylugar1@c2  

[rA]
type : cell
width : 4
height : 1
delay : transport
defaultDelayTime : 200
border : nowrapped
neighbors : rA(0,-1) rA(0,0) rA(0,1)
initialvalue : 0
in : x_ge_hayauto00 
in : x_c_haylugar03  
out : y_c_hayauto03
link : x_ge_hayauto00 x_ge_hayauto@rA(0,0)
link : x_c_haylugar03 x_c_haylugar@rA(0,3)
link : y_c_hayauto@rA(0,3) y_c_hayauto03
portInTransition : x_ge_hayauto@rA(0,0) segment1_gen_rule
portInTransition : x_c_haylugar@rA(0,3) segment1-endcross-cruce 
localtransition : segment1_lane_rule
zone : segment1-endcross-lane { (0,3) }
[rAGen]
distribution : constant
value : 1
lanes : 1
[rB]
type : cell
width : 4
height : 1
delay : transport
defaultDelayTime : 200
border : nowrapped
neighbors : rB(0,-1) rB(0,0) rB(0,1)
initialvalue : 0
in : x_c_hayauto00 
out : y_c_haylugar00  
out : y_co_hayauto03
link : x_c_hayauto00 x_c_hayauto@rB(0,0)
link : y_c_haylugar@rB(0,0) y_c_haylugar00
link : y_co_hayauto@rB(0,3) y_co_hayauto03
portInTransition : x_c_hayauto@rB(0,0) segment1-startcross-cruce
localtransition : segment1_lane_rule
zone : segment1-startcross-rule { (0,0) }
zone : segment1_cons_rule { (0,3) }
[rBCons]
lanes : 1

[c2]
type : cell
width : 2
height : 1
delay : transport
defaultDelayTime : 200
border : wrapped
neighbors : c2(0,-1) c2(0,0) c2(0,1)
initialvalue : 0
in : x_t_hayauto0
in : x_t_haylugar1
out : y_t_haylugar0
out : y_t_hayauto1  
link : x_t_hayauto0 x_t_hayauto@c2(0,0)
link : y_t_haylugar@c2(0,0) y_t_haylugar0
link : x_t_haylugar1 x_t_haylugar@c2(0,1)
link : y_t_hayauto@c2(0,1) y_t_hayauto1
portInTransition : x_t_hayauto@c2(0,0) hayauto-rule
portInTransition : x_t_haylugar@c2(0,1) haylugar-rule
zone : cellOut-rule { (0,1) }
zone : cellIn-rule { (0,0) }

[segment1_gen_rule]
rule : { 1 } 1000 { (0,0) = 0 and portvalue(x_ge_hayauto) = 1 }
rule : { (0,0) } 1000 { t }

[segment1-endcross-cruce]
rule : { 0 } 1000 { (0,0) = 1 and portvalue(x_c_haylugar) = 0 } 
rule : {(0,0)} 1000 { t }

[segment1-endcross-lane]
rule : { 1 } 1000 { (0,0) = 0 and (0,-1) = 1 }
rule : { (0,0) + send(y_c_hayauto,1)} 1000 { (0,0) = 1 }
rule : { (0,0) } 1000 { t }
[segment1_lane_rule]
rule : { 1 } 1000 { (0,0) = 0 and (0,-1) = 1}
rule : { 0 } 1000 { (0,0) = 1 and (0,1) = 0 }
rule : {(0,0)} 1000 { t }
[segment1-startcross-rule]
rule : { 0 } 1000 { (0,0) = 1 and (0,1) = 0 }
rule : { (0,0) } 1000 { t }

[segment1-startcross-cruce]
rule : { 1 + send(y_c_haylugar,0) } 1000 { portvalue(x_c_hayauto) = 0 and (0,0) = 0 }
rule : { (0,0) + send(y_c_haylugar,1)} 1000 { t }
[segment1_cons_rule]
rule : { 0 + send (y_co_hayauto,1)} 1000 { (0,0) = 1 } 
rule : { 1 } 1000 { not isUndefined((0,-1)) and (0,-1) = 1 and (0,0) = 0 }
rule : { (0,0) } 1000 { t }

[segment1_lane_rule]
rule : { 1 } 1000 { (0,0) = 0 and (0,-1) = 1}
rule : { 0 } 1000 { (0,0) = 1 and (0,1) = 0 }
rule : {(0,0)} 1000 { t }
[hayauto-rule]
rule : { 1 + send(y_t_haylugar,0) } 1000 { (0,-1) = 0 and portvalue(x_t_hayauto) = 1 }
rule : { 1 + send(y_t_haylugar,1) } 1000 { t }

[haylugar-rule] 
rule : { 0 } 1000 { portvalue(x_t_haylugar) = 0 }
rule : { 1 } 1000 { portvalue(x_t_haylugar) = 1 }
rule : { (0,0) } 1000 { t }

[cellIn-rule]
rule : { 0 } 1000 { (0,-1) = 0 }
rule : { 1 } 1000 { (0,-1) = 1 }
rule : { (0,0) } 1000 { t }

[cellOut-rule]
rule : { (0,0) + send(y_t_hayauto,0) } 1000 { (0,-1) = 1 and random >= 1/111 }
rule : { 1 } 1000 { (0,-1) = 1 and random < 1/111 }
rule : { 0 } 1000 { t }
