#ifndef __HOLE_H
#define __HOLE_H

#include <istream.h>
#include <string>
#include "segment.h"

//forward declarations
class Segment;

class Hole {
public:
    void      setLane(int);
    void      setDistance(int);
    void      setDelay(int);
    int       getLane();
    int       getDistance();
    string    getCell();
    int       getDelay();
    void      setSegment(Segment*);
    Segment*  getSegment();
    void      print();                 //print the point info to the stdin

protected:
    int       lane;
    int       distance;
    int       delay;
    Segment*  segment;
private:
};


#endif /* __HOLE_H */
