#ifndef __MACRO_H
#define __MACRO_H

#include <list.h>
#include <string>

class Macro{
public:
    void print();               //print all the info to the stdin  
    string getName();
    void setName(string);
    void addLine(string c);
    list<string>* getLines();
    bool getIsDependent();
    bool getWasUsed();
    void setWasUsed(bool);
 
protected:
    string       name;
    list<string> lines;  
    bool         wasUsed;
private:
};

#endif /* __MACRO_H */
