#ifndef __RULEBLOCK_H
#define __RULEBLOCK_H

#include <list.h>
#include <string>
#include "macro.h"
#include "codestruct.h"
#include "functionname.h"

//forward declarations
class CodeStruct;
class Macro;

extern CodeStruct codeStruct;

class RuleBlock{
public:
    void print();               //print all the info to the stdin  
    bool getIsDependent();
    void addRule(string c);
    list<string>* getRules();
    bool getWasUsed();
    void setWasUsed(bool);
protected:
    list<string> rules; 
    bool         wasUsed;
private:
};

#endif /* __RULEBLOCK_H */
