#ifndef __POINT_H
#define __POINT_H

#include <istream>

class Point {
public:
    void      setx(int);
    void      sety(int);
    int       getx();
    int       gety();
    void      print();                 //print the point info to the stdin
    bool operator == ( const Point & ) const;
    bool operator != ( const Point & ) const;
    bool operator <  ( const Point & ) const;
    bool operator <= ( const Point & ) const;
    bool operator >  ( const Point & ) const;
    bool operator >= ( const Point & ) const;

protected:
    int       x;
    int       y;
private:
};


#endif /* __POINT_H */
