#include <iostream.h>
#include "templatename.h"
#include <stdio.h>

std::string TemplateName::getTNSegment(Segment* s){
char buff[5];
std::string name = "Segment-";
//name += itoa(s->getQlane(),buff,10);
sprintf(buff,"%d",s->getQlane());
name += buff;
name += "Lane";
return name;
}

std::string TemplateName::getTNSegmentStart(Segment* s){
char buff[5];
std::string name = "Segment-";
//name += itoa(s->getQlane(),buff,10);
sprintf(buff,"%d",s->getQlane());
name += buff;
name += "Lane-";
if(s->getStartCross() == NULL)
   name += "StartGenerator";
else
   name += "StartCrossing";
return name;
}

std::string TemplateName::getTNSegmentEnd(Segment* s){
char buff[5];
std::string name = "Segment-";
//name += itoa(s->getQlane(),buff,10);
sprintf(buff,"%d",s->getQlane());
name += buff;
name += "Lane-";
if(s->getEndCross() == NULL)
   name += "EndConsumer";
else
   name += "EndCrossing";
return name;
}

std::string TemplateName::getTNSegmentTL(Segment* s){
char buff[5];
std::string name = "TrafficLightSegment-";
//name += itoa(s->getQlane(),buff,10);
sprintf(buff,"%d",s->getQlane());
name += buff;
name += "Lane";
return name;
}

std::string TemplateName::getTNCrossing(){
std::string name = "Crossing";
return name;
}

std::string TemplateName::getTNCrossingTL(){
std::string name = "TrafficLightCrossing";
return name;
}

std::string TemplateName::getTNCrossingHole(Crossing* c){
std::string name;
if (c->getHole()=="withHole")
    name = "Crossing-with-Hole";
else
    name = "Crossing-without-Hole";
return name;
}

std::string TemplateName::getTNJobsite(Jobsite* j){
std::string name = "JobsiteSegment";
return name;
}

std::string TemplateName::getTNHole(Hole* h){
char buff[5];
std::string name = "HoleSegment-";
//name += itoa(h->getSegment()->getQlane(),buff,10);
sprintf(buff,"%d",h->getSegment()->getQlane());
name += buff;

name += "Lane-";

if (h->getDistance()==0) {
    name+= "Cell";
//    name+= itoa(h->getLane()-1,buff,10);
    sprintf(buff,"%d",h->getLane()-1);
    name += buff;
    name+= "0";}
else if (h->getDistance()==h->getSegment()->getQcell()-1){
         name+= "Cell";
//         name+= itoa(h->getLane()-1,buff,10);
	 sprintf(buff,"%d",h->getLane()-1);
	 name += buff;
         name+= "n";}
else {name+= "Lane" ;
//      name+= itoa(h->getLane()-1, buff ,10);
	sprintf(buff,"%d",h->getLane()-1);
	name += buff;
}
return name;
}

std::string TemplateName::getTNCtrElem(CtrElem* c){
char buff[5];
std::string name = "ControlSegment-";
//name += itoa(c->getSegment()->getQlane(),buff,10);
sprintf(buff,"%d",c->getSegment()->getQlane());
name += buff;
name += "Lane-Cell";

if (c->getDistance()==0) 
    name+= "0";
else if(c->getDistance()== c->getSegment()->getQcell()-1)
    name+= "n";

return name;
}

std::string TemplateName::getTNRail(Segment*s){
char buff[5];
std::string name = "TrainSegment-";
//name += itoa(s->getQlane(),buff,10);
sprintf(buff,"%d",s->getQlane());
name += buff;
name += "Lane";
return name;
}

std::string TemplateName::getTNSincroRailnet(){
std::string name = "SincroRailNet";
return name;
}

