#ifndef __LINECONVERTOR_H
#define __LINECONVERTOR_H

#include <string>
#include <stdlib.h>
#include "texception.h"
#include "templatename.h"
#include "segment.h"
#include "crossing.h"
#include "jobsite.h"
#include "hole.h"
#include "ctrelem.h"


//forward declarations
class TException;
class ModelName;
class Segment;
class Crossing;
class Jobsite;
class Hole;
class CtrElem;


class LineConvertor {
public:
    string    convertSegment(string,Segment*);
    string    convertCrossing(string,Crossing*);
    string    convertJobsite(string,Jobsite*);
    string    convertHole(string,Hole*);
    string    convertCtrElem(string,CtrElem*);
    string    convertRail(string,Segment*,Railnet*);
    string    convertRailnet(string,Railnet*);
    string    convertLine(string,string,string);
    string    convertForLine(string,string,int);
protected:
private:
    string    getVariable(string);
};

#endif /* __LINECONVERTOR_H */
